targets:
  $default:
    builders:
      code_gen_demo|annotation_builder:
        enabled: true

builders:
  mark_builder:
    import: 'package:code_gen_demo/builder.dart'
    builder_factories: ['annotationBuilder']
    build_extensions: { '.dart': ['.my_annotation.dart'] }
    auto_apply: root_package
    build_to: source